Package org.apache.xmlbeans.impl.xb.ltgfmt

## Interface TestCase

- All Superinterfaces:
    `XmlObject`, `XmlTokenSource`
  All Known Implementing Classes:
    `TestCaseImpl`

      public interface TestCase
      extends XmlObject

  An XML test-case(@http://www.bea.com/2003/05/xmlbean/ltgfmt). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `TestCase.Files` | An XML files(@http://www.bea.com/2003/05/xmlbean/ltgfmt).

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static DocumentFactory<TestCase>` | `Factory` |
    `static SchemaType` | `type` |

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TestCase.Files` | `addNewFiles()` | Appends and returns a new empty "files" element
    `String` | `getDescription()` | Gets the "description" element
    `TestCase.Files` | `getFiles()` | Gets the "files" element
    `String` | `getId()` | Gets the "id" attribute
    `boolean` | `getModified()` | Gets the "modified" attribute
    `String` | `getOrigin()` | Gets the "origin" attribute
    `boolean` | `isSetDescription()` | True if has "description" element
    `boolean` | `isSetId()` | True if has "id" attribute
    `boolean` | `isSetModified()` | True if has "modified" attribute
    `boolean` | `isSetOrigin()` | True if has "origin" attribute
    `void` | `setDescription​(String description)` | Sets the "description" element
    `void` | `setFiles​(TestCase.Files files)` | Sets the "files" element
    `void` | `setId​(String id)` | Sets the "id" attribute
    `void` | `setModified​(boolean modified)` | Sets the "modified" attribute
    `void` | `setOrigin​(String origin)` | Sets the "origin" attribute
    `void` | `unsetDescription()` | Unsets the "description" element
    `void` | `unsetId()` | Unsets the "id" attribute
    `void` | `unsetModified()` | Unsets the "modified" attribute
    `void` | `unsetOrigin()` | Unsets the "origin" attribute
    `XmlString` | `xgetDescription()` | Gets (as xml) the "description" element
    `XmlID` | `xgetId()` | Gets (as xml) the "id" attribute
    `XmlBoolean` | `xgetModified()` | Gets (as xml) the "modified" attribute
    `XmlToken` | `xgetOrigin()` | Gets (as xml) the "origin" attribute
    `void` | `xsetDescription​(XmlString description)` | Sets (as xml) the "description" element
    `void` | `xsetId​(XmlID id)` | Sets (as xml) the "id" attribute
    `void` | `xsetModified​(XmlBoolean modified)` | Sets (as xml) the "modified" attribute
    `void` | `xsetOrigin​(XmlToken origin)` | Sets (as xml) the "origin" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<TestCase> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getDescription

          String getDescription()

      Gets the "description" element

    - #### xgetDescription

          XmlString xgetDescription()

      Gets (as xml) the "description" element

    - #### isSetDescription

          boolean isSetDescription()

      True if has "description" element

    - #### setDescription

          void setDescription​(String description)

      Sets the "description" element

    - #### xsetDescription

          void xsetDescription​(XmlString description)

      Sets (as xml) the "description" element

    - #### unsetDescription

          void unsetDescription()

      Unsets the "description" element

    - #### getFiles

          TestCase.Files getFiles()

      Gets the "files" element

    - #### setFiles

          void setFiles​(TestCase.Files files)

      Sets the "files" element

    - #### addNewFiles

          TestCase.Files addNewFiles()

      Appends and returns a new empty "files" element

    - #### getId

          String getId()

      Gets the "id" attribute

    - #### xgetId

          XmlID xgetId()

      Gets (as xml) the "id" attribute

    - #### isSetId

          boolean isSetId()

      True if has "id" attribute

    - #### setId

          void setId​(String id)

      Sets the "id" attribute

    - #### xsetId

          void xsetId​(XmlID id)

      Sets (as xml) the "id" attribute

    - #### unsetId

          void unsetId()

      Unsets the "id" attribute

    - #### getOrigin

          String getOrigin()

      Gets the "origin" attribute

    - #### xgetOrigin

          XmlToken xgetOrigin()

      Gets (as xml) the "origin" attribute

    - #### isSetOrigin

          boolean isSetOrigin()

      True if has "origin" attribute

    - #### setOrigin

          void setOrigin​(String origin)

      Sets the "origin" attribute

    - #### xsetOrigin

          void xsetOrigin​(XmlToken origin)

      Sets (as xml) the "origin" attribute

    - #### unsetOrigin

          void unsetOrigin()

      Unsets the "origin" attribute

    - #### getModified

          boolean getModified()

      Gets the "modified" attribute

    - #### xgetModified

          XmlBoolean xgetModified()

      Gets (as xml) the "modified" attribute

    - #### isSetModified

          boolean isSetModified()

      True if has "modified" attribute

    - #### setModified

          void setModified​(boolean modified)

      Sets the "modified" attribute

    - #### xsetModified

          void xsetModified​(XmlBoolean modified)

      Sets (as xml) the "modified" attribute

    - #### unsetModified

          void unsetModified()

      Unsets the "modified" attribute